Package org.eclipse.net4j.util

## Interface RunnableWithException

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface RunnableWithException

  An interface with a `run()` method that can propagate checked exceptions.
  Since:
    3.12
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `forkAndWait​(RunnableWithException runnable)` |
    `void` | `run()` |

- - ### Method Detail

    - #### run

          void run()
            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### forkAndWait

          static void forkAndWait​(RunnableWithException runnable)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`